summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJens Axboe <axboe@kernel.dk>2019-11-26 16:02:43 -0700
committerJens Axboe <axboe@kernel.dk>2019-11-26 16:02:43 -0700
commit4cc37def4ddbaa8687e2c18756d02b612af4da70 (patch)
tree15a8bc5c2df5818661be7ab569a31b7cdf23d281
parent5065e66a269410b438243a4d1069a972464ee2e0 (diff)
downloadliburing-4cc37def4ddbaa8687e2c18756d02b612af4da70.tar.gz
liburing-4cc37def4ddbaa8687e2c18756d02b612af4da70.tar.bz2
test/runtests.sh: improve alive worker detection
Just collect them, if they are there, don't complain about it. If we still have ones after all runs are done, THEN show them. Signed-off-by: Jens Axboe <axboe@kernel.dk>
-rwxr-xr-xtest/runtests.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/test/runtests.sh b/test/runtests.sh
index 690cb58..ada668e 100755
--- a/test/runtests.sh
+++ b/test/runtests.sh
@@ -31,9 +31,6 @@ for t in $TESTS; do
ps aux | grep "\[io_wq_manager\]" > /dev/null
R="$?"
if [ "$R" -eq 0 ]; then
- if [ -z "$MAYBE_FAILED" ]; then
- echo "Test $t has alive workers after exit?!"
- fi
MAYBE_FAILED="$MAYBE_FAILED $t"
fi
fi
@@ -43,6 +40,12 @@ if [ "${RET}" -ne 0 ]; then
echo "Tests $FAILED failed"
exit $RET
else
+ sleep 1
+ ps aux | grep "\[io_wq_manager\]" > /dev/null
+ R="$?"
+ if [ "$R" -ne 0 ]; then
+ MAYBE_FAILED=""
+ fi
if [ ! -z "$MAYBE_FAILED" ]; then
echo "Tests _maybe_ failed: $MAYBE_FAILED"
fi